//----------------------------------------------------------------------------
//  Project SetMsIr
//  Hiromu Okada
//  Copyright (c) 1997. All Rights Reserved.
//
//  Sub System: SetMsIr Application
//  File:     setmsir.h
//  Copyrihter:       Hiromu Okada
//
//  Abstract
//  ~~~~^^^^
//  TSetMsIr Class definition
//
//----------------------------------------------------------------------------
#if !defined(setmsir_h)              //
#define setmsir_h

#include <windows.h>
class TSetMsIr
{
	public:
    	TSetMsIr();
        virtual ~TSetMsIr();
    	bool SetMsIrToEnable(bool yes=false);//default call is false(to disable)
    	bool SetMsIrToKill();
		GetIrdaParam();
        char PhysicalIrDAPortStr[256];
        char SettingMessageStr[1000];
        DWORD MSIrEnable;
        bool MSIrActive;

    protected:
        bool TryOpenPort(char far *PortNumStr);

	public:
        char IrVirtualComPortStr[256];
        char IrVirtualLptPortStr[256];
        char DefaultLptPortStr[256];
        char MousePortStr[256];

    protected:
        HWND hWndIRMON;
        DWORD ThreadIdIRMON;
        DWORD ProcessIdIRMON;

        //communication param
		HANDLE hCom;
		DCB	dcbCom;
		COMMTIMEOUTS ctmoCom;

};

#endif  // setmsir_h
