//----------------------------------------------------------------------------
//  Project SetMsIr
//  Hiromu Okada
//  Copyright (c) 1997. All Rights Reserved.
//
//  TuVXe: SetMsIr Application
//  t@C:     stmsirap.cpp
//  쐬:       Hiromu Okada
//
//  Tv
//  ~~~~
//  TSetMsIrApp (TApplication) ̃Cve[Vp̃\[Xt@C
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "stmsirap.h"
#include "stmsirdc.h"                        // NCAgNX̒`
#include "stmsirad.h"                        // uo[Wv_CAO{bNX̒`


//{{TSetMsIrApp Implementation}}


//
// AvP[V邷ׂẴbZ[W^R}h
// ΂鉞e[u쐬
//
DEFINE_RESPONSE_TABLE1(TSetMsIrApp, TApplication)
//{{TSetMsIrAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TSetMsIrAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TSetMsIrApp
//
TSetMsIrApp::TSetMsIrApp() : TApplication("IrDA driver setting")
{

  // INSERT>> RXgN^p̃R[h͂
}


TSetMsIrApp::~TSetMsIrApp()
{
  // INSERT>> fXgN^p̃R[h͂
}


//--------------------------------------------------------
// TSetMsIrApp
// ~~~~~
// AvP[V̏
//
void TSetMsIrApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
  {
    if(_argc>1)
    {
    	nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWMINIMIZED : nCmdShow;
    }
    else
    {
  		nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;
  	}
  }

  TSDIDecFrame* frame = new TSDIDecFrame(0, GetName(), 0, false);
  frame->SetFlag(wfShrinkToClient);

  // CEBhÉCftHg̃EBhEX^CI[o[Ch
  //
      frame->Attr.Style |= WS_BORDER | WS_CAPTION | WS_MINIMIZEBOX | WS_SYSMENU | WS_VISIBLE;
    frame->Attr.Style &= ~(WS_CHILD | WS_CLIPCHILDREN | WS_MAXIMIZEBOX | WS_THICKFRAME);

  // ̃AvP[VɁCACRݒ肷
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  SetMainWindow(frame);


  // EBhEY 3-D Rg[
  //
  EnableCtl3d(true);
}



//{{TSDIDecFrame Implementation}}


TSDIDecFrame::TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TDecoratedFrame(parent, title, !clientWnd ? new TSetMsIrDlgClient(0) : clientWnd, trackMenuSelection, module)
{
  // INSERT>> RXgN^p̃R[h͂

}


TSDIDecFrame::~TSDIDecFrame()
{
  // INSERT>> fXgN^p̃R[h͂

}


//--------------------------------------------------------
// TSetMsIrApp
// ~~~~~~~~~~~
// uwvvj[́uo[WvR}h
//
void TSetMsIrApp::CmHelpAbout()
{
  // [__CAO\
  //
  TSetMsIrAboutDlg(MainWindow).Execute();
}



int OwlMain(int , char* [])
{
  TSetMsIrApp   app;
  return app.Run();
}

void TSetMsIrApp::InitInstance()
{
//  TApplication::InitInstance();

  // INSERT>> ǉR[h͂
/*
    HWND hWndBuf;//=NULL;
	hWndBuf=::FindWindow(NULL,"IrDA driver setting");
    if(hWndBuf==NULL)
	{
    	hWndBuf=::FindWindow(NULL,"IrDA driver setting - fault -");
    }
	if(hWndBuf!=NULL)
	{
		::SetActiveWindow(hWndBuf);
		::SetFocus(hWndBuf);
        //#if defined(__WIN32__)
        ::SetForegroundWindow(hWndBuf);
        //#endif

		exit(1);
	}
	else
*/
	{
		TApplication::InitInstance();
	}

}

