//----------------------------------------------------------------------------
//  Project SetMsIr
//  Hiromu Okada
//  Copyright (c) 1997. All Rights Reserved.
//
//  Sub System: SetMsIr Application
//  File:     setmsir.cpp
//  copyright:       Hiromu Okada
//
//  Abstract
//  ~~~~^^^^
//  TSetMsIr sorce code
//
//----------------------------------------------------------------------------
#include "setmsir.h"
#include <stdio.h>


//{{TSetMsIr Implementation}}


//--------------------------------------------------------
// TSetMsIr
//
TSetMsIr::TSetMsIr()
{

  // INSERT>> RXgN^p̃R[h͂
}


TSetMsIr::~TSetMsIr()
{
  // INSERT>> fXgN^p̃R[h͂
}



//Microsoft IrDA Driver Setting code

bool TSetMsIr::SetMsIrToEnable(bool yes)//default call is false(to disable) confer setmsir.h
{
    //WINDOWPLACEMENT IrMonPlacement;

    HWND hWinsight;
	HKEY  hkResult;

    hWinsight=::FindWindow(NULL,"WinSight");
    if(hWinsight!=NULL)
    {
    	//ExitWindows(NULL,NULL);
        return false;
    }

	GetIrdaParam(); //get MS-IrDA driver parameter

    wsprintf(SettingMessageStr,"PhysicalCOM=%s\r\nDefaultLPT=%s\r\nV-COM=%s\r\nV-LPT=%s\r\nEnable=%d\r\nActive=%d\r\nMouse=%s",
    	PhysicalIrDAPortStr,DefaultLptPortStr,IrVirtualComPortStr,IrVirtualLptPortStr,MSIrEnable,MSIrActive,MousePortStr);
    //::MessageBox(NULL,SettingMessageStr,"Notice",MB_OK|MB_ICONEXCLAMATION);
//***************************************************************************************
	if(yes)//To Enable
    {
		if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Root\\Infrared",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
		{
			RegCloseKey(hkResult);
		}
        else
        {
        	//MS-IrDA driver not installed
             wsprintf(SettingMessageStr,"%s","IrDA driver is not installed. 1");
        	return false;
    	}
    	if(/*PhysicalIrDAPortStr[0]=='\0' || */IrVirtualComPortStr[0]=='\0' || IrVirtualLptPortStr[0]=='\0')
        {
        	//MS-IrDA driver not installed
             wsprintf(SettingMessageStr,"%s","IrDA driver is not installed. 2");
        	return false;
        }
        else
        {
        	//MS-IrDA driver installed
        	if(MSIrEnable)
            {
            	//Allready MS-IrDA driver was ENABLE
                //::MessageBox(NULL,"Allready MS-IrDA driver was ENABLE","Notice",MB_OK|MB_ICONEXCLAMATION);
				if(MSIrActive)//MS-IrDA driver activate
                {
                    wsprintf(SettingMessageStr,"%s","Allready IrDA driver was ENABLE 3");
                	return true;
                }//MS-IrDA driver activate
                else
                {
                	//MS-IrDA driver not activate


					//if(!TryOpenPort(PhysicalIrDAPortStr))
                    //{
                    //	//another software using Physical Port directly
                    //    wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother software possession physical port directly! 4");
                	//	return false;
                	//}
					if(TryOpenPort(IrVirtualComPortStr))
                    {
						MSIrActive=true;
    	                wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 5");

        	    		return true;
                    }
                    else
                    {
						UINT rVale;

						rVale=WinExec ("CONTROL.EXE INFRARED.CPL",SW_HIDE	);
						if(rVale==0)
						{
							wsprintf(SettingMessageStr,"%s","The system is out of memory or resources! 6");
							return false;
						}
						else if(rVale==ERROR_BAD_FORMAT)
						{
							wsprintf(SettingMessageStr,"%s","Non-Win32 .EXE or error in .EXE image! 7");
							return false;
						}
                        else if(rVale==ERROR_FILE_NOT_FOUND)
                        {
							wsprintf(SettingMessageStr,"%s","The specified file was not found! 8");
							return false;
						}
						else if(rVale==ERROR_PATH_NOT_FOUND)
						{
							wsprintf(SettingMessageStr,"%s","The specified path was not found! 9");
							return false;
						}

                    	hWndIRMON=NULL;
                    	for (int n=0;n<30;n++)
                    	{
                    		if(hWndIRMON!=NULL)
                    	    {
                    	    	break;
                    	    }
                    		hWndIRMON=::FindWindow(NULL,"IRMON");
                    	    Sleep(300);
                    	}
                   		if(hWndIRMON==NULL)
                    	{
	                	    wsprintf(SettingMessageStr,"%s","MSIrDA-UI can not activate IrDA-driver! 10");
                    	   	return false;
                    	}
						//ThreadIdIRMON=GetWindowThreadProcessId(hWndIRMON,&ProcessIdIRMON) ;
						MSIrActive=true;
                    	wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 11");

            			return true;
                    }
                }
            }//Allready MS-IrDA driver was ENABLE
            else
            {
            	//MS-IrDA driver is DISABLE
               	//if(PhysicalIrDAPortStr[0]!='\0'
                //	&& strncmp(PhysicalIrDAPortStr,IrVirtualComPortStr,strlen(PhysicalIrDAPortStr))!=0
                //    && strncmp(PhysicalIrDAPortStr,IrVirtualLptPortStr,strlen(PhysicalIrDAPortStr))!=0
                //    && strncmp(PhysicalIrDAPortStr,MousePortStr,strlen(PhysicalIrDAPortStr))!=0  )
                //{
                	//MS-IrDA driver setting correct
                	if(MSIrActive)
                    {
                    	//MS-IrDA driver activate
                        //if(!TryOpenPort(PhysicalIrDAPortStr))
                		//{
                    		//MS-IrDA driver is DISABLE
                    		//another software using Physical Port directly
                        //    wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother software possession physical port directly! 12");
                		//	return false;
                		//}
                		//else
                		//{
	                        HKEY  hkResult;
    	                   	char  lpszValue[100];
   							unsigned long cbValue;
            	           	DWORD dwType;//=REG_SZ;
                            if(hWndIRMON!=NULL)
                            {
                        		::SendMessage(hWndIRMON,WM_DESTROY,(WPARAM)NULL,NULL);
                            }
   							memset(lpszValue,'\0',sizeof(lpszValue));
							if(!TryOpenPort(PhysicalIrDAPortStr))
   			            	{
              					//another software using Physical Port directly
				                wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother software possession physical port directly! 13");
    	  			    		return false;
       						}
							MSIrEnable=true;
							dwType=REG_DWORD;
							if(::RegOpenKeyEx(HKEY_CURRENT_USER, "Control Panel\\Infrared",0,
								KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
							{
								cbValue=sizeof(MSIrEnable);
        	               		if(::RegSetValueEx(hkResult ,(char far *)"IrEnabled",NULL,
								dwType	,((unsigned char *)(&MSIrEnable)),cbValue)==ERROR_SUCCESS)
								{
                	                RegCloseKey(hkResult);
									wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 14");

                        	       	//return true;
								}
	       						else
    	   						{
        	                       	RegCloseKey(hkResult);
       								MSIrEnable=false;
									wsprintf(SettingMessageStr,"%s","Registory error! 15");

                    	           	return false;
       							}
	    					}
    						else
    						{
    							MSIrEnable=false;
								wsprintf(SettingMessageStr,"%s","Registory error! 16");
                    	       	return false;
    						}
	                        if(TryOpenPort(IrVirtualComPortStr))
    	                    {
        	                    wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 17");
            	               	return true;
                	        }
                    	    else
                        	{
                            	UINT rVale;

								rVale=WinExec ("CONTROL.EXE INFRARED.CPL",SW_HIDE	);
    	                        if(rVale==0)
        	                    {
            	                    wsprintf(SettingMessageStr,"%s","The system is out of memory or resources! 18");
                	              	return false;
                    	        }
                        	    else if(rVale==ERROR_BAD_FORMAT)
                            	{
	                                wsprintf(SettingMessageStr,"%s","Non-Win32 .EXE or error in .EXE image! 19");
    	                           	return false;
        	                    }
            	                else if(rVale==ERROR_FILE_NOT_FOUND)
                	            {
                    	            wsprintf(SettingMessageStr,"%s","The specified file was not found! 20");
                        	       	return false;
                            	}
	                            else if(rVale==ERROR_PATH_NOT_FOUND)
    	                        {
        	                        wsprintf(SettingMessageStr,"%s","The specified path was not found! 21");
            	                   	return false;
                	            }

                        	    hWndIRMON=NULL;
               					for(int n=0;n<20;n++)
	               				{
    	                            hWndIRMON=::FindWindow(NULL,"Infrared Monitor");
        	                        if(hWndIRMON==NULL)
            	                    {
               							hWndIRMON=::FindWindow(NULL,"ԊOj^");
                    	            }
                        	        if(hWndIRMON!=NULL)
                            	    {
                                	   	break;
	                                }
    	               				Sleep(300);
        	       				}
            	                if(hWndIRMON==NULL)
								{
						            wsprintf(SettingMessageStr,"%s","MSIrDA-UI can not activate IrDA-driver! 22");
                				   	return false;
                            	}
	                            wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 23");
    	                       	return true;


                                    //hWndIRMON=NULL;
                    				//while(hWndIRMON==NULL)
                    				//{
                    				//	hWndIRMON=::FindWindow(NULL,"IRMON");
                        			//	Sleep(300);
                    				//}
                                    //for(int n=0;n<20;n++)
                    				//{
                                    //    hWndIRMON=::FindWindow(NULL,"Infrared Monitor");
                                    //    if(hWndIRMON==NULL)
                                    //    {
                    				//		hWndIRMON=::FindWindow(NULL,"ԊOj^");
                                    //    }
                                    //    if(hWndIRMON!=NULL)
                                    //    {
                                    //    	break;
                                    //    }

                        			//	Sleep(300);
                    				//}
                                    //if(hWndIRMON==NULL)
                                    //{
					                //    wsprintf(SettingMessageStr,"%s","MSIrDA-UI can not activate Infrared Monitor! 24");
                				    //   	return false;
                                    //}

                                    //Sleep(1000);

                                    //::SetForegroundWindow(hWndIRMON);
                                    //Sleep(1000);
                                    //::SetFocus(hWndIRMON);
									//ThreadIdIRMON=GetWindowThreadProcessId(hWndIRMON,&ProcessIdIRMON) ;
									//MSIrActive=true;
                                    //Sleep(300);


                            //::SendMessage(hWndIRMON,WM_COMMAND,(WPARAM)0x0071,NULL);
							//KEYDOWN 27 94d0001;KEYUP 27 c94d0001;
                            //keybd_event((BYTE)0x27, (BYTE)0x00, NULL, NULL);
                            //keybd_event((BYTE)0x27, (BYTE)0x00, KEYEVENTF_KEYUP	, NULL);
                                    //Sleep(1000);

							//KEYDOWN d 81c0001;KEYUP d c81c0001;
                            //keybd_event((BYTE)0x0d, (BYTE)0x00, NULL, NULL);
                            //keybd_event((BYTE)0x0d, (BYTE)0x00, KEYEVENTF_KEYUP	, NULL);
                            //wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 25");
							//return true;
                            }
                        //}
                    }//MS-IrDA driver activate
                    else
                    {
                    	//MS-IrDA driver not activate
                        HKEY  hkResult;
                       	char  lpszValue[100];
   						unsigned long cbValue;
                       	DWORD dwType;//=REG_SZ;
   						memset(lpszValue,'\0',sizeof(lpszValue));
						//if(!TryOpenPort(PhysicalIrDAPortStr))
   			            //{
              				//another software using Physical Port directly
			            //    wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother software possession physical port directly! 26");
      			    	//	return false;
       					//}
						MSIrEnable=true;
						dwType=REG_DWORD;
						if(::RegOpenKeyEx(HKEY_CURRENT_USER, "Control Panel\\Infrared",0,
							KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
						{
							cbValue=sizeof(MSIrEnable);
                       		if(::RegSetValueEx(hkResult ,(char far *)"IrEnabled",NULL,
								dwType	,((unsigned char *)(&MSIrEnable)),cbValue)==ERROR_SUCCESS)
							{
                                RegCloseKey(hkResult);
								wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 27");

                               	//return true;
							}
       						else
       						{
                               	RegCloseKey(hkResult);
       							MSIrEnable=false;
								wsprintf(SettingMessageStr,"%s","Registory error! 28");

                               	return false;
       						}
    					}
    					else
    					{
    						MSIrEnable=false;
							wsprintf(SettingMessageStr,"%s","Registory error! 29");
                           	return false;
    					}
                        if(TryOpenPort(IrVirtualComPortStr))
                        {
                            wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 30");
                           	return true;
                        }
                        else
                        {
                            UINT rVale;

							rVale=WinExec ("CONTROL.EXE INFRARED.CPL",SW_HIDE	);
                            if(rVale==0)
                            {
                                wsprintf(SettingMessageStr,"%s","The system is out of memory or resources! 31");
                              	return false;
                            }
                            else if(rVale==ERROR_BAD_FORMAT)
                            {
                                wsprintf(SettingMessageStr,"%s","Non-Win32 .EXE or error in .EXE image! 32");
                               	return false;
                            }
                            else if(rVale==ERROR_FILE_NOT_FOUND)
                            {
                                wsprintf(SettingMessageStr,"%s","The specified file was not found! 33");
                               	return false;
                            }
                            else if(rVale==ERROR_PATH_NOT_FOUND)
                            {
                                wsprintf(SettingMessageStr,"%s","The specified path was not found! 34");
                               	return false;
                            }

                            hWndIRMON=NULL;
               				for(int n=0;n<20;n++)
               				{
                                hWndIRMON=::FindWindow(NULL,"Infrared Monitor");
                                if(hWndIRMON==NULL)
                                {
               						hWndIRMON=::FindWindow(NULL,"ԊOj^");
                                }
                                if(hWndIRMON!=NULL)
                                {
                                   	break;
                                }
                   				Sleep(300);
               				}
                            if(hWndIRMON==NULL)
							{
					            wsprintf(SettingMessageStr,"%s","MSIrDA-UI can not activate IrDA-driver! 35");
                			   	return false;
                            }
                            wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is ENABLE! 36");
                           	return true;
						}
                    }////MS-IrDA driver not activate
				//}//MS-IrDA driver setting correct
                //else
                //{
                	//MS-IrDA driver setting Error
                //    wsprintf(SettingMessageStr,"%s","IrDA driver setting error 37");
                //	return false;
                //}//MS-IrDA driver setting Error
            }//MS-IrDA driver is DISABLE
        }//MS-IrDA driver installed
    }//To Enable
//***************************************************************************************
    else //ToDisable
    {
		if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Root\\Infrared",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
		{
			RegCloseKey(hkResult);
		}
        else
        {
        	//MS-IrDA driver not installed
             wsprintf(SettingMessageStr,"%s","IrDA driver is not installed. 38");
        	return true;
    	}
    	if(/*PhysicalIrDAPortStr[0]=='\0' ||*/ IrVirtualComPortStr[0]=='\0' || IrVirtualLptPortStr[0]=='\0')
        {
        	//MS-IrDA driver not installed
            wsprintf(SettingMessageStr,"%s","MS-IrDA driver is not installed. 39");
            //::MessageBox(NULL,SettingMessageStr,"1",MB_OK);
            return true;
        }//MS-IrDA driver not installed
        else
        {
        	//MS-IrDA driver installed
        	if(!MSIrEnable)
            {
	            wsprintf(SettingMessageStr,"%s","Allready MS-IrDA driver was DISABLE! 40");
               	return true;;
            }//Allready MS-IrDA driver was DISABLE
            else
            {
            	//MS-IrDA driver is ENABLE
            	//if(PhysicalIrDAPortStr[0]!='\0'
                //	|| strncmp(PhysicalIrDAPortStr,IrVirtualComPortStr,strlen(PhysicalIrDAPortStr))!=0
                //    || strncmp(PhysicalIrDAPortStr,IrVirtualLptPortStr,strlen(PhysicalIrDAPortStr))!=0
                //    || strncmp(PhysicalIrDAPortStr,MousePortStr,strlen(PhysicalIrDAPortStr))!=0  )
                //{
                    //MS-IrDA driver setting correct
                   	if(MSIrActive)
                   	{
                       	//MS-IrDA driver is Active
                       	bool SomeUseVcom=false;
                        bool SomeUseVlpt=false;
                        if(IrVirtualComPortStr[0]!='\0')
                        {
                        	if(!TryOpenPort(IrVirtualComPortStr))
                           	{
                           		SomeUseVcom=true;
                           	}
                        }
                        if(IrVirtualLptPortStr[0]!='\0')
                        {
                        	if(!TryOpenPort(IrVirtualLptPortStr))
                           	{
                           		SomeUseVlpt=true;
                           	}
                        }
						if(SomeUseVcom && !SomeUseVlpt)
                        {
                           	//MS-IrDA driver is ENABLE
                        	//another software using virtual com port on MS-IrDA driver
                            wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother communication software \nusing virtual com port on IrDA driver! 41");
                           	return false;
                        }
                        else if(!SomeUseVcom && SomeUseVlpt)
                        {
                           	//MS-IrDA driver is ENABLE
                        	//another software using virtual lpt port on MS-IrDA driver
                            wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother software using \nvirtual printer port on IrDA driver! 42");
                           	return false;
                        }
                        else if(SomeUseVcom && SomeUseVlpt)
                        {
                           	wsprintf(SettingMessageStr,"%s","MSIrDA-UI cannot open port !\nAnother software using \nvirtual port on IrDA driver! 43");
                           	return false;
                        }
                        else
	                    {
        	     			::SendMessage(hWndIRMON,WM_COMMAND,(WPARAM)0x0071,NULL);
                            wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is DISABLE! 44");
                            return true;

                	    }



                    }//MS-IrDA driver is Active
                    else
                    {
                            HKEY  hkResult;
                        	char  lpszValue[100];
    						unsigned long cbValue;
                        	DWORD dwType;//=REG_SZ;
    						memset(lpszValue,'\0',sizeof(lpszValue));
							MSIrEnable=false;
							dwType=REG_DWORD;
							if(::RegOpenKeyEx(HKEY_CURRENT_USER, "Control Panel\\Infrared",0,
								KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
							{
								cbValue=sizeof(MSIrEnable);
                        		if(::RegSetValueEx(hkResult ,(char far *)"IrEnabled",NULL,
									dwType	,((unsigned char *)(&MSIrEnable)),cbValue)==ERROR_SUCCESS)
								{
                                    RegCloseKey(hkResult);
									wsprintf(SettingMessageStr,"%s","Success! IrDA-driver is DISABLE! 46");

                                	return true;
								}
        						else
        						{
                                	RegCloseKey(hkResult);
        							MSIrEnable=true;
									wsprintf(SettingMessageStr,"%s","Registory error! 47");

                                	return true;
        						}

							}
    						else
    						{

    							MSIrEnable=true;
								wsprintf(SettingMessageStr,"%s","Registory error! 48");
                            	return true;
    						}
                    }//MS-IrDA driver is ENABLE but not active
                //}//MS-IrDA driver setting correct
                //else//MS-IrDA driver setting Error
                //{
                	//MS-IrDA driver setting Error
                //    	wsprintf(SettingMessageStr,"%s","MS-IrDA driver setting error 49");
                //        HKEY  hkResult;
                //        char  lpszValue[100];
    			//		unsigned long cbValue;
                //        DWORD dwType;//=REG_SZ;
    			//		memset(lpszValue,'\0',sizeof(lpszValue));
				//		MSIrEnable=false;

				//		dwType=REG_DWORD;
				//		if(::RegOpenKeyEx(HKEY_CURRENT_USER, "Control Panel\\Infrared",0,
				//				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
				//		{
                //        		cbValue=sizeof(MSIrEnable);
                //        		if(::RegSetValueEx(hkResult ,(char far *)"IrEnabled",NULL,
				//					dwType	,((unsigned char *)(&MSIrEnable)),cbValue)==ERROR_SUCCESS)
				//				{
                //                    RegCloseKey(hkResult);
                //                	return true;;
				//				}
        		//				else
        		//				{
                //                	RegCloseKey(hkResult);
        		//					MSIrEnable=true;;
                //                	return true;
        		//				}
                //
                //
				//		}
    			//		else
    			//		{
                //
    			//			MSIrEnable=true;;
                //            return true;;
    			//		}
                //}//MS-IrDA driver setting Error
            }//MS-IrDA driver is ENABLE
        }//MS-IrDA driver installed

    }//ToDisable
	//return true;
}

//*****************************************************************************
//SetMsIrToKill
bool TSetMsIr::SetMsIrToKill() //confer setmsir.h
{
    //WINDOWPLACEMENT IrMonPlacement;
    HWND hWinsight;
    hWinsight=::FindWindow(NULL,"WinSight");
    if(hWinsight!=NULL)
    {
    	//ExitWindows(NULL,NULL);
        return false;
    }


	GetIrdaParam(); //get MS-IrDA driver parameter

    wsprintf(SettingMessageStr,"PhysicalCOM=%s\r\nDefaultLPT=%s\r\nV-COM=%s\r\nV-LPT=%s\r\nEnable=%d\r\nActive=%d\r\nMouse=%s",
    	PhysicalIrDAPortStr,DefaultLptPortStr,IrVirtualComPortStr,IrVirtualLptPortStr,MSIrEnable,MSIrActive,MousePortStr);
    //::MessageBox(NULL,SettingMessageStr,"Notice",MB_OK|MB_ICONEXCLAMATION);



                	if(MSIrActive)
                    {
                    	//MS-IrDA driver activate
                            /*
	                        HKEY  hkResult;
    	                   	char  lpszValue[100];
   							unsigned long cbValue;
            	           	DWORD dwType;//=REG_SZ;
                            */
                        if(!MSIrEnable)
                        {
                       		::PostMessage(hWndIRMON,WM_DESTROY,(WPARAM)NULL,NULL);
							wsprintf(SettingMessageStr,"%s","Success! MSIrDA-UI kill MS IrDA-driver! 50");
    						return true;
                        }
						SetMsIrToEnable(false);
						wsprintf(SettingMessageStr,"%s","You must do disable driver first! 51");
   						return false;

                        //::PostMessage(hWndIRMON,WM_QUIT,(WPARAM)NULL,NULL);
                        //::Sleep(10000);
                        //::PostMessage(hWndIRMON,WM_DESTROY,(WPARAM)NULL,NULL);

                        //::Sleep(4000);

                        /*for(int n=0;n<10;n++)
						{
                        	hWndIRMON=::FindWindow(NULL,"IRMON");
                            if(hWndIRMON!=NULL)
                            {
                        		::PostMessage(hWndIRMON,WM_DESTROY,(WPARAM)NULL,NULL);
                            	::Sleep(1000);
                            }
                            else
                            {
                            	break;;
                            }
                        }
                        ::PostMessage(hWndIRMON,WM_DESTROY,(WPARAM)NULL,NULL);
                        ::Sleep(1000);
                        ::PostMessage(hWndIRMON,WM_DESTROY,(WPARAM)NULL,NULL);
                        if(hWndIRMON==NULL)
                        {
							wsprintf(SettingMessageStr,"%s","Success! MSIrDA-UI kill MS IrDA-driver! 51");
    						return true;
                        }
                        else
                        {
							wsprintf(SettingMessageStr,"%s","Registory error! 52");
    						return false;
                        }
                        */



                    }
                    else
                    {
						wsprintf(SettingMessageStr,"%s","Allready MS-IrDA was killed! 53");

						return true;
                    }
}







//*****************************************************************************
//GetIrdaParam
TSetMsIr::GetIrdaParam ()
{
	HKEY  hkResult;
	char  lpszValue[100];
    char workbufStr[100];
    char DefPrnName[100];
	unsigned long cbValue;
	DWORD dwType=REG_SZ;



//****************************************
//IrDA-VirtualComPort finding

    memset(IrVirtualComPortStr,'\0',sizeof(IrVirtualComPortStr));
    memset(lpszValue,'\0',sizeof(lpszValue));
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Infrared\\VirtualPorts",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		cbValue=sizeof(lpszValue);
		if(::RegQueryValueEx(hkResult ,(char far *)"VirtualComPortName",NULL,
			&dwType	,(LPBYTE)lpszValue,&cbValue)==ERROR_SUCCESS)
		{
			wsprintf(IrVirtualComPortStr,"%s",strupr(lpszValue));
            //::MessageBox(NULL,IrVirtualComPortStr,"VirtualComPortName",MB_OK);
			if(IrVirtualComPortStr[0]=='\0')
			{
                //MS-IrDA driver setting Error
			}
            else
            {
            	//MS-IrDA driver is installed & exist Vitual ComPort
            }
		}
		else
		{
        	//MS-IrDA driver not installed
		}
		RegCloseKey(hkResult);
	}
	else
	{
        //MS-IrDA driver not installed
	}

//****************************************
//IrDA-VirtualLptPort finding

    memset(IrVirtualLptPortStr,'\0',sizeof(IrVirtualLptPortStr));
    memset(lpszValue,'\0',sizeof(lpszValue));
	if(RegOpenKeyEx(HKEY_LOCAL_MACHINE , (char far *)"Enum\\Infrared\\VirtualPorts",0,
			KEY_ALL_ACCESS, &hkResult)==ERROR_SUCCESS)
	{
		cbValue=sizeof(lpszValue);
		if(RegQueryValueEx(hkResult ,"VirtualLptPortName",NULL,
			&dwType	,(LPBYTE)lpszValue,&cbValue)==ERROR_SUCCESS)
		{
			wsprintf(IrVirtualLptPortStr,"%s",strupr(lpszValue));
            //::MessageBox(NULL,IrVirtualLptPortStr,"VirtualLptPortName",MB_OK);
            if(IrVirtualLptPortStr[0]=='\0')
			{
                //MS-IrDA driver setting Error
			}
            else
            {
            	//MS-IrDA driver is installed & exist Vitual LptPort
            }
		}
        else
		{
        	//MS-IrDA driver not installed
		}
		RegCloseKey(hkResult);
	}
	else
	{
		//MS-IrDA driver not installed
	}

//****************************************
//DefaultLPTPort finding
	memset(DefaultLptPortStr,'\0',sizeof(DefaultLptPortStr));
    memset(lpszValue,'\0',sizeof(lpszValue));
    memset(DefPrnName,'\0',sizeof(DefPrnName));
	wsprintf(DefPrnName,"%s","System\\CurrentControlSet\\control\\Print\\Printers\\");
	if(RegOpenKeyEx((HKEY)0x80000005, "System\\CurrentControlSet\\Control\\Print\\Printers",0,
			KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		cbValue=sizeof(lpszValue);
		if(RegQueryValueEx(hkResult ,(char far *)"Default",NULL,
			&dwType	,(LPBYTE)lpszValue,&cbValue)==ERROR_SUCCESS)
		{
        	//Printer installed
			strcat(DefPrnName,strupr(lpszValue));
			RegCloseKey(hkResult);
			if(RegOpenKeyEx(HKEY_LOCAL_MACHINE, DefPrnName,0,
				  KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
			{
				cbValue=sizeof(lpszValue);
                memset(lpszValue,'\0',sizeof(lpszValue));
				if(RegQueryValueEx(hkResult ,(char far *)"Port",NULL,
					&dwType	,(LPBYTE)lpszValue,&cbValue)==ERROR_SUCCESS)
				{
					wsprintf(DefaultLptPortStr,"%s",strupr(lpszValue));
                    _fstrtok (DefaultLptPortStr,":\0");
                    //::MessageBox(NULL,DefaultLptPortStr,"Printer installed",MB_OK);
					if(DefaultLptPortStr[0]=='\0')
					{
						//Default Printer installed
					}
                    else
					{
                       	//Printer Port Setting Error
                    }
                }
                else
                {
                   	//Printer conected Pararel LptPort
                }
		        RegCloseKey(hkResult);
			}
    		else
        	{
           		//Printer not installed
        	}
		}
		else
		{
        	RegCloseKey(hkResult);
        	//Printer not installed
		}
	}
	else
	{
       	//Printer not installed
	}

//****************************************
//Mouse Port finding
    memset(MousePortStr,'\0',sizeof(MousePortStr));
    memset(workbufStr,'\0',sizeof(workbufStr));
    memset(lpszValue,'\0',sizeof(lpszValue));
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "System\\CurrentControlSet\\Services\\VxD\\VMD",0,
			KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		cbValue=sizeof(lpszValue);
		if(::RegQueryValueEx(hkResult ,(char far *)"MouseType",NULL,
			&dwType	,(LPBYTE)lpszValue,&cbValue)==ERROR_SUCCESS)
		{
			if(strncmp(lpszValue,"Serial",6)==0)
			{
				wsprintf(MousePortStr,"COM%d",1);
			}
            else
            {
            	//PS2 port mouse
            }
            //::MessageBox(NULL,MousePortStr,"Mouse Port",MB_OK);

		}
		else
		{
			//mouse not installed
		}
		RegCloseKey(hkResult);
	}
	else
	{
    	//mouse not installed
	}

//****************************************
//PhysicalIrDAPort finding
    memset(PhysicalIrDAPortStr,'\0',sizeof(PhysicalIrDAPortStr));
    memset(lpszValue,'\0',sizeof(lpszValue));
	if(::RegOpenKeyEx(HKEY_LOCAL_MACHINE, "Enum\\Infrared\\Framer",0,
				KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		cbValue=sizeof(lpszValue);
		if(::RegQueryValueEx(hkResult ,(char far *)"PortName",NULL,
				&dwType	,(LPBYTE)lpszValue,&cbValue)==ERROR_SUCCESS)
		{
			wsprintf(PhysicalIrDAPortStr,"%s",strupr(lpszValue));
            //::MessageBox(NULL,PhysicalIrDAPortStr,"PhysicalIrDAPort",MB_OK);
            if(PhysicalIrDAPortStr[0]=='\0')
            {
               	//PhysicalIrDAPort not find
            }
            else
			{
               	//PhysicalIrDAPort is find
            }
			RegCloseKey(hkResult);
		}
		else
		{
        	//PhysicalIrDAPort not find
		}
    }
    else
    {
       	//PhysicalIrDAPort not find
    }

//****************************************
//MS-IrDA driver Enable or Disable
    memset(workbufStr,'\0',sizeof(workbufStr));
    memset(lpszValue,'\0',sizeof(lpszValue));
	MSIrEnable=false;

	dwType=REG_DWORD;//ӃWXg̃I[vp[^[ύX
	if(::RegOpenKeyEx(HKEY_CURRENT_USER, "Control Panel\\Infrared",0,
					KEY_ALL_ACCESS	, &hkResult)==ERROR_SUCCESS)
	{
		cbValue=sizeof(MSIrEnable);
		if(::RegQueryValueEx(hkResult ,(char far *)"IrEnabled",NULL,
			&dwType	,(LPBYTE)(&MSIrEnable),&cbValue)==ERROR_SUCCESS)
		{
		}
        else
        {
        	MSIrEnable=false;
        }
		RegCloseKey(hkResult);
	}
    else
    {
    	MSIrEnable=false;
    }

    //**************************************************
    // MS-IrDA Active ?
	hWndIRMON=NULL;
	ThreadIdIRMON=NULL;
	ProcessIdIRMON=NULL;
    MSIrActive=false;

    hWndIRMON=::FindWindow(NULL,"IRMON");
    if(hWndIRMON!=NULL)
    {
       	ThreadIdIRMON=GetWindowThreadProcessId(hWndIRMON,&ProcessIdIRMON) ;
    	MSIrActive=true;
        //::MessageBox(NULL,"Find IRMON","Notice",MB_OK);
	}

	return true;
}


//*******************************************************************
bool TSetMsIr::TryOpenPort(char far *PortNumStr)
{
    char PortNumStrbuf[256];
   	bool fSuccess=false;

	//if(PhysicalIrDAPortStr[0]=='\0')
    //{
    //	 return fSuccess;
    //}
    //wsprintf(PortNumStrbuf,"%s",PortNumStr);
    //::MessageBox(NULL,PortNumStrbuf,"PortNumStrbuf",MB_OK);
	hCom = CreateFile(
					PortNumStr,
					/*GENERIC_READ|*/GENERIC_WRITE,
					0,    /* comm devices must be opened with exclusive access */
					NULL, /* no security attrs */
					OPEN_EXISTING, // comm devices must use OPEN_EXISTING
					0,    /* not overlapped I/O */
					//FILE_FLAG_OVERLAPPED ,
					//FILE_FLAG_NO_BUFFERING,
					NULL  /* hTemplate must be NULL for comm devices */
					);

    if (hCom == INVALID_HANDLE_VALUE)
	{
		CloseHandle(hCom);
		hCom =  INVALID_HANDLE_VALUE;
        fSuccess=false;
        return fSuccess;
	}
    if(!PurgeComm(hCom, PURGE_TXABORT|PURGE_RXABORT|PURGE_TXCLEAR|PURGE_RXCLEAR))
    {
		::MessageBox(NULL,"fault clear buffer","Error",MB_OK|MB_ICONEXCLAMATION);
		CloseHandle(hCom);
		hCom =  INVALID_HANDLE_VALUE;
        fSuccess=false;
        return fSuccess;
	}
    fSuccess = GetCommState(hCom, &dcbCom);
	if (!fSuccess)
	{
		::MessageBox(NULL,"fault get com state","Error",MB_OK|MB_ICONEXCLAMATION);
		CloseHandle(hCom);
		hCom =  INVALID_HANDLE_VALUE;
        fSuccess=false;
        return fSuccess;
	}
    dcbCom.BaudRate = 9600;//115200;
	dcbCom.ByteSize = 8;
	dcbCom.Parity = NOPARITY;
	dcbCom.StopBits = ONESTOPBIT;
	dcbCom.fAbortOnError = TRUE;
	dcbCom.fBinary	=TRUE;
	fSuccess = SetCommState(hCom, &dcbCom);
	if (!fSuccess)
	{
		/* handle error */
		::MessageBox(NULL,"fault change baudrate","Error",MB_OK|MB_ICONEXCLAMATION);
		CloseHandle(hCom);
		hCom =  INVALID_HANDLE_VALUE;
        fSuccess=false;
        return fSuccess;

	}
    fSuccess = GetCommTimeouts(hCom, &ctmoCom);
	if (!fSuccess)
	{
		/* handle error */
		::MessageBox(NULL,"fault get timeout parameter","Error",MB_OK|MB_ICONEXCLAMATION);
		CloseHandle(hCom);
        hCom =  INVALID_HANDLE_VALUE;
        fSuccess=false;
        return fSuccess;
    }
    ctmoCom.ReadIntervalTimeout =MAXDWORD;//0L;
    ctmoCom.ReadTotalTimeoutMultiplier=0L;//11;
    ctmoCom.ReadTotalTimeoutConstant=0L;//5L;//12;
	ctmoCom.WriteTotalTimeoutMultiplier=0L;
    ctmoCom.WriteTotalTimeoutConstant=0L;//5L;
	fSuccess = SetCommTimeouts(hCom, &ctmoCom);
    if (!fSuccess)
	{
		/* handle error */
		::MessageBox(NULL,"fault set timeout parameter","Error",MB_OK|MB_ICONEXCLAMATION);
		CloseHandle(hCom);
    	hCom =  INVALID_HANDLE_VALUE;
        fSuccess=false;
        return fSuccess;
	}
    if(!SetupComm(hCom, 1024, 1024) )
    {
		CloseHandle(hCom);
        hCom = INVALID_HANDLE_VALUE;
        ::MessageBox(NULL,"fault SetupComm","Error",MB_TASKMODAL|MB_OK|MB_ICONEXCLAMATION);
        fSuccess=false;
        return fSuccess;
    }
	CloseHandle(hCom);
	hCom = INVALID_HANDLE_VALUE;
	return true;
}

